Subject: Re: bug#17806: 24.4.50; Branch emacs-24 fails to beuild on Debian

From: Paul Eggert <[email-masked]>
Date: Tue, 24 Jun 2014 09:27:50 -0700

Dmitry Antipov wrote:
> RedHat's compiler engineer claims that LTO has made substantial progress
> in gcc-4.9: http://vmakarov.fedorapeople.org/spec/2014/2014.html

Those comments say that GCC 4.9.0 compiles much faster than GCC 4.8.3 
when LTO is used.  And that's understandable: in 4.9.0, -flto defaults 
to -fno-fat-lto-objects.  Unfortunately, this is the change that broke 
the Emacs build.  Emacs has worked around the problem by compiling with 
-ffat-lto-objects, but this negates the compile-time performance 
advantage of 4.9.0.

4.9.0 has not made significant improvements in run-time performance over 
4.8.3 when LTO is used, and for Emacs LTO has only minor (and sometimes 
even negative) run-time performance improvements compared to non-LTO.